# Function handles

- handles(): (abstract new () => HandlesMixin<void>)

- Adds a protected _handles property backed by Esri handles.

  #### Returns (abstract new () => HandlesMixin<void>)

  - - abstract new (): HandlesMixin<void>
    - `Abstract`

      #### Returns HandlesMixin<void>

- handles<TBase>(obj): HandlesConstructor<TBase>

- Adds a protected _handles property backed by Esri handles.

  #### Type Parameters

  - TBase extends Constructor<object>

  #### Parameters

  - obj: TBase

    The base class to add handles to.

  #### Returns HandlesConstructor<TBase>